MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002139VCMIGUI - Adventure Mappublic2015-03-23 17:072016-04-07 13:44
ReporterPovelitel 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97c 
Target VersionFixed in Version0.98g 
Summary0002139: When spell scroll captured in battle spell name is missing on R-click
Descriptionwhen you kill the hero is not visible in the spell scrolls (R-click)
TagsNo tags attached.
Attached Filespng file icon scrols.PNG [^] (286,476 bytes) 2015-03-23 17:07


? file icon SXX_spellscroll.h3m [^] (1,558 bytes) 2016-01-21 07:30

- Relationships

-  Notes
(0006239)
SXX (administrator)
2015-12-30 13:02

Confirm this behaviour, but this is clearly UI issue.
(0006331)
vmarkovtsev (developer)
2016-01-21 07:20

Save please?
(0006332)
SXX (administrator)
2016-01-21 07:30

Attached map.
(0006334)
vmarkovtsev (developer)
2016-01-21 13:43

It's clear why it happens.

server/CGameHandler.cpp, near line 545:

arts.push_back (art->artType->id);

For spell scrolls, single art ID is not enough. Will issue a fix soon.
(0006335)
vmarkovtsev (developer)
2016-01-21 17:32

https://github.com/vcmi/vcmi/pull/165 [^]

- Issue History
Date Modified Username Field Change
2015-03-23 17:07 Povelitel New Issue
2015-03-23 17:07 Povelitel File Added: scrols.PNG
2015-12-30 13:02 SXX Category Mechanics - Adventure Map => GUI - Adventure Map
2015-12-30 13:02 SXX Note Added: 0006239
2015-12-30 13:03 SXX Status new => confirmed
2015-12-30 13:03 SXX Summary when you kill the hero is not visible in the spell scrolls (R-click) => When spell scroll captured in battle spell name is missing on R-click
2016-01-21 07:20 vmarkovtsev Note Added: 0006331
2016-01-21 07:30 SXX File Added: SXX_spellscroll.h3m
2016-01-21 07:30 SXX Note Added: 0006332
2016-01-21 08:01 vmarkovtsev Assigned To => vmarkovtsev
2016-01-21 08:01 vmarkovtsev Status confirmed => assigned
2016-01-21 13:43 vmarkovtsev Note Added: 0006334
2016-01-21 17:32 vmarkovtsev Note Added: 0006335
2016-01-27 07:04 SXX Status assigned => resolved
2016-01-27 07:04 SXX Fixed in Version => 0.98g
2016-01-27 07:04 SXX Resolution open => fixed
2016-04-07 13:44 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean